package com.ejie.ad74a.util.constantes.modelos;

import com.ejie.ad74a.util.comun.Utilidades;

public abstract class TipoDireccion {

	private TipoDireccion() {

	}

	// Longitud de campos
	/*
	 * Los JSP necesitan Strings, las comparaciones en java Integer
	 */
	public static final int MAX_LENGTH_CP06 = 5;
	public static final String MAX_LENGTH_CP06_STR = Utilidades.getStringFromInteger(MAX_LENGTH_CP06);

	public static final int MAX_LENGTH_PROVINCIA06 = 50;
	public static final String MAX_LENGTH_PROVINCIA06_STR = Utilidades.getStringFromInteger(MAX_LENGTH_PROVINCIA06);

	public static final int MAX_LENGTH_MUNICIPIO06 = 50;
	public static final String MAX_LENGTH_MUNICIPIO06_STR = Utilidades.getStringFromInteger(MAX_LENGTH_MUNICIPIO06);

	public static final int MAX_LENGTH_LOCALIDAD06 = 150;
	public static final String MAX_LENGTH_LOCALIDAD06_STR = Utilidades.getStringFromInteger(MAX_LENGTH_LOCALIDAD06);

	public static final int MAX_LENGTH_CALLE06 = 75;
	public static final String MAX_LENGTH_CALLE06_STR = Utilidades.getStringFromInteger(MAX_LENGTH_CALLE06);

	public static final int MAX_LENGTH_PORTAL06 = 15;
	public static final String MAX_LENGTH_PORTAL06_STR = Utilidades.getStringFromInteger(MAX_LENGTH_PORTAL06);

	public static final int MAX_LENGTH_ESCALERA06 = 5;
	public static final String MAX_LENGTH_ESCALERA06_STR = Utilidades.getStringFromInteger(MAX_LENGTH_ESCALERA06);

	public static final int MAX_LENGTH_PISO06 = 20;
	public static final String MAX_LENGTH_PISO06_STR = Utilidades.getStringFromInteger(MAX_LENGTH_PISO06);

	public static final int MAX_LENGTH_LETRA06 = 10;
	public static final String MAX_LENGTH_LETRA06_STR = Utilidades.getStringFromInteger(MAX_LENGTH_LETRA06);

}
